body{
    padding: 0;
    margin: 0;
    background-color: beige;
}
.section{
    opacity: 0;
    transform: translateY(50px);
    transition: opacity 0.6s ease-out, transform 0.6s ease-out;
}
.section.visible{
    opacity: 1;
    transform: translateY(0);
}

.hero{
    text-align: center;
    padding: 70px;
    background-image:linear-gradient( #181818cb, #181818a9, #3333337a, #000000d2), url(../images/Singapore.jpg);
    height: 70vh;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    align-content: center;
}
.hero h1{
    font-size: 50px;
    color: white;
}
.hero p{
    color: white;
    font-size: 14px;
    padding: 10px 25% 10px 25%;
}
.our-services{
    text-align: center;
    margin-bottom: 50px;
}
.our-services h4{
    color: rgb(255, 136, 0);
}
.our-services h2{
    font-size: 35px;
    font-weight: 700;
    color: black;
}
.our-services p{
    margin: 0 30%;
    font-size: 14px;
    color: rgb(94, 94, 94);
    margin-bottom: 30px;
}
.img-text-container:has(.services-container:hover) .service-img:not(:hover){
    scale: 0.8;
    filter: blur(4px);
}
.services-div{
    display: grid;
    grid: auto auto/ auto auto auto;
    
}
.img-text-container{
    position: relative;
}

.service-img{
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    height: 400px;
    background-color: blue;
    text-align: left;
    margin: 10px ;
    padding: 50px 30px;
    color: white;
    border-radius: 20px;
    width: 80%;
    transition: scale .25s ease-in, filter .25s ease-in;
}

.services-container{
    position: absolute;
    bottom: 10px;
    text-align: left;
    background-color: rgba(165, 42, 42, 0.603);
    margin: 10px 15%;
    height: fit-content;
    backdrop-filter: blur(10px);
    padding: 50px 30px;
    color: white;
    border-radius: 20px;
}
.services-container p{
    margin: 0;
    color: white;
    margin-bottom: 20px;
}
.services-container a{
    text-decoration: none;
    padding: 10px 15px;
    background-color: rgb(255, 136, 0);
    border-radius: 20px;
    color: white;
    transition: .3s ease;
}
.services-container a:hover{
    background-color: rgb(182, 97, 0);
}

.offer{
    text-align: center;
}
.offer h2{
    margin-bottom: 40px;
    color: rgb(255, 136, 0);
    font-size: 28px;
}

.about-lists{
    display: flex;
    margin-top: 20px;
    text-align: center;
    justify-content: center;
}
.about-lists ul{
    list-style: none;
    margin-right: 50px;
    text-align: left;
}
.about-lists ul li{
    color: black;
    padding-bottom: 40px;
    font-weight: 300;
    font-size: 15px;
}
.about-lists ul li .fa-solid{
    padding-right: 10px ;
    color: rgb(255, 136, 0);
}
.faq{
    margin: 20px;
    margin-bottom: 50px;
}
.faq h2{
    font-size: 30px;
    margin-bottom: 40px;
    text-align: center;
    color: rgb(255, 136, 0);
    
}
.faq details{
    width: 500px;
    margin: 0px auto;
    margin-bottom: 20px;
    cursor: pointer;
    border: 3px solid #ddd;
    border-radius: 10px;
    padding: 25px;
    box-shadow: 2px 2px 5px grey;
    color: black;
}
.faq details summary{
    color: black;
    font-weight: 500;
    font-size: 18px;
}
.faq details p{
    color: black;
    font-size: 15px;
    padding: 10px 10% 10px 10px;
    line-height: 30px;
}
.contact{
    height: 50vh;
    background-image: linear-gradient( #4141417e, #52525273, #33333342, #744322d2), url(../images/flight-booking4.jpg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    margin: 50px;
    padding: 20px;
    text-align: center;
    align-content: center;
    border-radius: 10px;
}
.contact h2{
    font-size: 35px;
    font-weight: 1000;
    color: white;
}
.contact p{
    font-size: 14px;
    font-family: system-ui, -apple-system, BlinkMacSystemFont, 'Gill Sans,' 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
    padding: 10px 15%;
    color: white;
}
.contact a{
    padding: 10px 15px;
    color:  white;
    text-decoration: none;
    background-color: rgb(245, 110, 0);
    border-radius: 10px;
    box-shadow: 3px 3px 10px black;
    transition: .3s;
}
.contact a:hover{
    padding: 12px 17px;
    
}




@media screen and (max-width: 850px) {
    .hero{
        padding: 40px;
        height: 60vh;
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;
    }
    .hero h1{
        font-size: 50px;
    }
    .hero p{
        padding: 0px;
        font-size: 15px;
    }

    .our-services p{
        margin: 0 10%;
        font-size: 14px;
        color: rgb(94, 94, 94);
        margin-bottom: 30px;
    }
    .services-div{
        display: block;
        justify-content: center;
        text-align: center;
    }
    .service-img{
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        height: 350px;
        background-color: blue;
        text-align: left;
        margin: 10px ;
        padding: 40px 30px;
        color: white;
        border-radius: 20px;
        width: 80%;
        transition: scale .25s ease-in, filter .25s ease-in;
    }
    .services-container{
        margin: 10px 5px;
        text-align: left;
        padding: 50px 30px;
        color: white;
        border-radius: 20px;
    }
    .services-container p{
        font-size: 12px;
        margin: 0;
        margin-bottom: 20px;
        color: white;
    }

    .about-lists{
        display: block;
        margin-top: 20px;
        text-align: center;
    }
    .about-lists ul{
        list-style: none;
        margin-right: 50px;
        text-align: center;
    }
    .about-lists ul li{
        padding-bottom: 30px;
        font-weight: 300;
        font-size: 13px;
    }
    .about-lists ul li .fa-solid{
        padding-right: 10px ;
        color: rgb(255, 136, 0);
    }
    .faq details{
        width: 400px;
        margin-bottom: 20px;
        cursor: pointer;
        border-radius: 10px;
        padding: 25px;
        box-shadow: 2px 2px 5px grey;
    }
    .faq details summary{
        font-weight: 500;
        font-size: 15px;
    }
    .faq details p{
        font-size: 13px;
    }
    .contact h2{
        font-size: 20px;
        font-weight: 1000;
        color: white;
    }
    .contact p{
        font-size: 15px;
        padding: 10px 10px;
        color: white;
    }
}

@media (max-width: 500px) {
    .faq details{
        width: 280px;
        margin-bottom: 20px;
        cursor: pointer;
        border-radius: 10px;
        padding: 25px;
        box-shadow: 2px 2px 5px grey;
    }
}